
Figure - Bug #113613
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】将mini小窗放置在屏幕下方，轻微向上滑动，重复多次，小窗消失
2022-11-02 16:45 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-02

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211020319

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211090616

Reproducibility: Every time Fixed Version: 2022-11-09

Test Type: IT Root cause: 是否进入顶部的判断逻辑错误��修改轻滑动时进入顶部的逻辑判断

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开一个应用小窗（如图库）

2、进入mini小窗模式

3、将mini小窗拖到屏幕上方的角落里

4、将mini小窗多次轻微向上拖动后松手

【预期结果】

4、mini小窗仍保留在原位置

【实际结果】

4、重复多次后小窗消失

PS:

需求：在屏幕顶部向上拖动mini小窗可以关闭小窗，但目前测试情况表明，成功概率不高

经过研发同事初步分析，原因同上述bug，可一起解决

History

#1 - 2022-11-02 16:45 - CD TEST-方永红

- Priority changed from Normal to High

#2 - 2022-11-07 15:17 - DL FW-张挽强

- Status changed from New to ASSIGNED

■ Current conclusion

复现成功

■ My analysis

是否进入顶部的判断逻辑错误

■ Next action

修改轻滑动时进入顶部的逻辑判断
#3 - 2022-11-08 16:46 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-11-09

- Root cause set to 是否进入顶部的判断逻辑错误

修改轻滑动时进入顶部的逻辑判断

#4 - 2022-11-09 10:28 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211090616

11.9

将不同mini小窗置于屏幕下方，各自向上轻微滑动50次，小窗未消失

验证通过

#5 - 2022-11-09 10:28 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160667 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow:fixed freeform disappearance error1.Modify freeform logic when enter topTC-RID: 1201-0204601IssueID: TS-R-BUG-113613Change-Id:

I61f2ccb1df74c717e021bdf4f553f58984589293

Files

Phone-STS40X190122 2022-11-02 16-07-42.mp4 29.2 MB 2022-11-02 CD TEST-方永红

723.txt 1.57 MB 2022-11-02 CD TEST-方永红

741.txt 2.55 MB 2022-11-02 CD TEST-方永红
